* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul, li {
  list-style: none;
}

body {
  font-family: 'Segoe UI', sans-serif;
  color: #000000;
  background-color: #ffffff;
}

/* HEADER */

header {
  height: 100px;
  background: #bb595f;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 3% 5%;
  position: sticky;
  top: 0;
  z-index: 1000;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.08);
}

.logo {
  display: flex;
  align-items: center;
  height: 100%;
}

.logo img {
  height: 220px;
  width: auto;
  object-fit: contain;
  display: block;
  padding: 0;
}

.nav-bar {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.nav-menu {
  display: flex;
  align-items: center;
  gap: 1.6rem;
}

.nav-menu a {
  text-decoration: none;
  color: #000000;
  font-weight: 600;
  letter-spacing: 0.4px;
  transition: 0.3s ease;
  font-size: 17px;
  position: relative;
}

.nav-menu a::after {
  content: "";
  position: absolute;
  width: 0;
  height: 2px;
  background: #f3eac0;
  left: 0;
  bottom: -7px;
  transition: 0.3s ease;
}

.nav-menu a:hover::after {
  width: 100%;
}

.nav-menu a:hover {
  color: #f3eac0;
}

/* BOOK BUTTON */

.book-btn {
  background-color: #f3eac0;
  color: #bb595f !important;
  padding: 12px 22px;
  border-radius: 30px;
  font-size: 16px;
  font-weight: 600;
  box-shadow: 0 8px 18px rgba(187, 89, 95, 0.3);
}

.book-btn::after {
  display: none;
}

.book-btn:hover {
  background-color: #000000;
  color: #f3eac0 !important;
  transform: translateY(-2px);
}

.whatsapp-float{
  position: fixed;

  bottom: 20px;
  right: 20px;

  background-color: #25D366;

  color: #ffffff;

  display: flex;
  align-items: center;
  gap: 10px;

  padding: 14px 22px;

  border-radius: 50px;

  text-decoration: none;

  z-index: 9999;

  box-shadow: 0 10px 25px rgba(0,0,0,0.2);

  transition: 0.3s ease;
}

.whatsapp-float i{
  font-size: 30px;
}

.whatsapp-float span{
  font-size: 15px;
  font-weight: 600;
}

.whatsapp-float:hover{
  transform: translateY(-3px);

  background-color: #000000;
}

/* Mobile */

@media (max-width: 768px){

  .whatsapp-float{
    padding: 13px 18px;
  }

  .whatsapp-float span{
    font-size: 14px;
  }

  .whatsapp-float i{
    font-size: 28px;
  }
}

/* HAMBURGER */

.nav-toggle {
  display: none;
  border: none;
  font-size: 1.6rem;
  color: #bb595f;
  cursor: pointer;
  width: 45px;
  height: 45px;
  border-radius: 12px;
  transition: 0.3s ease;
  background-color: #f3eac0;
}

.nav-toggle:hover {
  color: #f3eac0;
  background-color:#bb595f;
}

/* BANNER */

.hero{
  width: 100%;
  min-height: 100vh;

  background:
  linear-gradient(rgba(0,0,0,0.55), rgba(0,0,0,0.55)),
  url("../images/banner2.png");

  background-size: cover;
  background-position: center;

  display: flex;
  align-items: center;

  padding: 0 7%;
}

.hero-content{
  max-width: 700px;
}

.hero-content h1{
  color: #f3eac0;

  font-size: 58px;
  line-height: 1.1;

  margin-bottom: 25px;

  font-weight: 700;
}

.hero-content span{
  color: #bb595f; 
}

.hero-content p{
  color: #f3eac0;
  font-size: 24px;
  line-height: 1.7;
  margin-bottom: 35px;
  max-width: 600px;
}

.book-btn-under-heading {
  background-color: #f3eac0;
  color: #bb595f !important;
  padding: 12px 22px;
  border-radius: 30px;
  font-size: 16px;
  font-weight: 600;
  box-shadow: 0 8px 18px rgba(187, 89, 95, 0.3);
  text-decoration: none;
}

.book-btn-under-heading::after {
  display: none;
}

.book-btn-under-heading {
  display: none;
}

.book-btn-under-heading:hover {
  background-color: #bb595f;
  color: #f3eac0 !important;
  transform: translateY(-2px);
}

@media (max-width: 768px) {
  .book-btn-under-heading {
    display: inline-block;
    background-color: #f3eac0;
    color: #bb595f !important;
    padding: 12px 22px;
    border-radius: 30px;
    font-size: 16px;
    font-weight: 600;
    box-shadow: 0 8px 18px rgba(187, 89, 95, 0.3);
    text-decoration: none;
  }
}

/* Responsive */

@media (max-width: 768px){

  .hero{
    min-height: 75vh;
    text-align: center;
    justify-content: center;
  }

  .hero-content h1{
    font-size: 25px;
  }

  .hero-content p{
    font-size: 17px;
  }
}

.workspaces{
  width: 100%;
  padding: 80px 8%;
  background: #ffffff;
}

.workspaces-heading{
  text-align: center;
  max-width: 750px;
  margin: 0 auto 60px;
}

.workspaces-heading span{
  color: #bb595f;
  font-size: 0.9rem;
  font-weight: 700;
  letter-spacing: 2px;
  text-transform: uppercase;
}

.workspaces-heading h2{
  font-size: 40px;
  color: #000000;
  margin: 15px 0;
}

.workspaces-heading p{
  font-size: 1rem;
  line-height: 1.8;
  color: #333333;
}

.workspace-container{
  display: flex;
  justify-content: space-between;
  gap: 20px;
}

.workspace-card{
  background: #f3eac0;
  border-radius: 24px;
  overflow: hidden;
  transition: 0.3s ease;
  flex: 1;
  min-width: 0;
}

.workspace-card:hover{
  transform: translateY(-8px);
  cursor: pointer;
}

.workspace-image{
  width: 100%;
  height: 220px;
  overflow: hidden;
}

.workspace-image img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center top;
  display: block;
}

.workspace-content{
  padding: 20px;
}

.workspace-content h3{
  font-size: 1rem;
  color: #000000;
  margin-bottom: 10px;
  font-weight: 500;
}

.workspace-content p{
  font-size: 0.85rem;
  color: #333333;
  line-height: 1.6;
  margin-bottom: 18px;
}

.workspace-content a{
  text-decoration: none;
  color: #bb595f;
  font-weight: 700;
  font-size: 0.9rem;
}

.workspace-content a i{
  margin-left: 6px;
  transition: 0.3s ease;
}

.workspace-content a:hover i{
  transform: translateX(5px);
}


/* Surface, iPad Air, large tablets */
@media (max-width:1024px){

  .workspace-image{
    height: 290px;
  }

  .workspace-image img{
    width: 100%;
    height: 200%;
    object-fit: cover;
    object-position: center;
    padding-bottom: 90px;
  }
}

/* iPad Mini and smaller tablets */
@media (max-width:900px){

  .workspace-container{
    grid-template-columns: 1fr;
  }

  .workspace-card:last-child{
    max-width: 100%;
  }
}

/* MOBILE */
@media (max-width:768px){

  .workspaces{
    padding: 60px 7%;
  }

  .workspaces-heading h2{
    font-size: 2.2rem;
  }

  .workspace-container{
    display: grid;
    grid-template-columns: 1fr;
  }

  .workspace-card{
    width: 100%;
  }

  .workspace-image{
    height: 300px;
  }

}

.amenities{
  width: 100%;
  padding: 80px 8%;
  background: #ffffff;
}

.amenities-heading{
  text-align: center;
  max-width: 750px;
  margin: 0 auto 60px;
}

.amenities-heading span{
  color: #bb595f;
  font-size: 0.9rem;
  font-weight: 700;
  letter-spacing: 2px;
  text-transform: uppercase;
}

.amenities-heading h2{
  font-size: 40px;
  color: #000000;
  margin: 15px 0;
}

.amenities-heading p{
  font-size: 1rem;
  line-height: 1.8;
  color: #333333;
}

.amenities-container{
   display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

.amenity-card{
  flex: 1;
  min-width: 120px;
  max-width: 160px;

  text-align: center;
  padding: 18px 12px;

  background: #f3eac0;
  border-radius: 18px;

  transition: 0.3s ease;
}

.amenity-card:hover{
  transform: translateY(-8px);
  background-color: #bb595f;
  cursor: pointer;
}

.amenity-card img{
  width: 48px;
  height: 48px;
  object-fit: contain;
  margin-bottom: 12px;
}

.amenity-card h3{
  font-size: 0.9rem;
  font-weight: 500;
  color: #000000;
}

.amenities-btn{
  text-align: center;
  margin-top: 50px;
}

.amenities-btn a{
  display: inline-block;
  padding: 14px 30px;
  background: #f3eac0;
  color: #000000;
  text-decoration: none;
  border-radius: 40px;
  font-weight: 600;
  transition: 0.3s ease;
}

.amenities-btn a:hover{
  background: #bb595f;
  color: #ffffff;
}

.amenities-btn a i{
  margin-left: 8px;
}


/* MOBILE */
@media (max-width:768px){

  .amenities{
    padding: 60px 7%;
  }

  .amenities-heading h2{
    font-size: 2.2rem;
  }

  .amenity-card{
    min-width: 45%;
  }

}

.community-section {
  padding: 70px 8% 30px;
  background: #fff;
  text-align: center;
}

.section-heading span {
  display: inline-block;
  color: #bb595f;
  font-size: 14px;
  font-weight: 700;
  letter-spacing: 2px;
  margin-bottom: 10px;
  text-transform: uppercase;
}

.section-heading h2 {
  font-size: 38px;
  color: #000;
  margin-bottom: 25px;
}

.community-slider {
  position: relative;
  width: 100%;
  height: 180px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.logo-slide {
  position: absolute;
  width: 100%;
  left: 0;
  top: 60%;
  text-align: center;
  opacity: 0;
  transform: translateY(-50%) translateX(80px);
  animation: logoLoop 16s infinite;
}

.community-slider .logo-slide:nth-child(1) {
  animation-delay: 0s;
}

.community-slider .logo-slide:nth-child(2) {
  animation-delay: 4s;
}

.community-slider .logo-slide:nth-child(3) {
  animation-delay: 8s;
}

.community-slider .logo-slide:nth-child(4) {
  animation-delay: 12s;
}

.logo-slide img {
  width: 210px;
  height: 100px;
  object-fit: contain;
}

.logo-slide p {
  margin-top: 8px;
  font-size: 17px;
  font-weight: 600;
  color: #000;
}

@keyframes logoLoop {
  0% {
    opacity: 0;
    transform: translateY(-50%) translateX(90px);
  }

  10% {
    opacity: 1;
    transform: translateY(-50%) translateX(0);
  }

  25% {
    opacity: 1;
    transform: translateY(-50%) translateX(0);
  }

  35% {
    opacity: 0;
    transform: translateY(-50%) translateX(-90px);
  }

  100% {
    opacity: 0;
    transform: translateY(-50%) translateX(-90px);
  }
}

/* Mobile */
@media (max-width: 768px) {
  .community-section {
    padding: 55px 5% 25px;
  }

  .section-heading h2 {
    font-size: 28px;
    margin-bottom: 20px;
  }

  .community-slider {
    height: 160px;
  }

  .logo-slide img {
    width: 170px;
    height: 90px;
  }

  .logo-slide p {
    font-size: 15px;
  }
}

.gallery-preview{
  width: 100%;
  padding: 80px 8%;
  background: #ffffff;
}

.gallery-heading{
  text-align: center;
  max-width: 700px;
  margin: 0 auto 50px;
}

.gallery-heading span{
  color: #bb595f;
  font-size: 0.9rem;
  font-weight: 700;
  letter-spacing: 2px;
  text-transform: uppercase;
}

.gallery-heading h2{
  font-size: 40px;
  color: #000000;
  margin: 15px 0;
}

.gallery-heading p{
  font-size: 1rem;
  color: #333333;
  line-height: 1.7;
}

.gallery-grid{
  display: grid;
  grid-template-columns: 2fr 1fr 1fr;
  grid-template-rows: 220px 220px;
  gap: 20px;
}

.gallery-item{
  overflow: hidden;
  border-radius: 22px;
}

.gallery-item.large{
  grid-row: span 2;
}

.gallery-item img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: 0.4s ease;
}

.gallery-item:hover img{
  transform: scale(1.08);
  cursor: pointer;
}

.gallery-btn{
  text-align: center;
  margin-top: 45px;
}

.gallery-btn a{
  display: inline-block;
  padding: 14px 30px;
  background: #f3eac0;
  color: #000000;
  text-decoration: none;
  border-radius: 40px;
  font-weight: 600;
  transition: 0.3s ease;
}

.gallery-btn a:hover{
  background: #bb595f;
  color: #ffffff;
}

.gallery-btn a i{
  margin-left: 8px;
}


/* MOBILE */
@media (max-width:768px){

  .gallery-preview{
    padding: 60px 7%;
  }

  .gallery-heading h2{
    font-size: 2.2rem;
  }

  .gallery-grid{
    grid-template-columns: 1fr;
    grid-template-rows: none;
  }

  .gallery-item,
  .gallery-item.large{
    height: 240px;
    grid-row: auto;
  }
}

.footer{
  width: 100%;
  background: #f3eac0;
  color: #000000;
  padding: 35px 8% 25px;
}

.footer-top{
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 70px;
}

.footer-middle{
  display: flex;
  flex-direction: row;
  gap: 2px;
  flex-wrap: wrap;
  margin-bottom: 10px;
}

.footer-middle a{
  color: #000000;
  text-decoration: none;
  font-weight: 600;
  transition: 0.3s ease;
}

.footer-middle a:hover{
  color: #bb595f;
}

.footer-main{
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 60px;
  align-items: center;
}

.footer-left h2{
  font-size: 5rem;
  line-height: 0.95;
  color: #000000;
  margin-bottom: 60px;
  letter-spacing: 2px;
}

.footer-contact{
  margin-bottom: 25px;
}

.footer-contact p{
  color: #000000;
  line-height: 1.7;
  font-weight: 600;
}

.footer-socials{
  display: flex;
  gap: 18px;
}

.footer-socials a{
  font-size: 1.5rem;
  transition: 0.3s ease;
}

.footer-socials a:hover{
  transform: translateY(-5px);
}

.footer-map {
  background: #bb595f;
  padding: 15px;
  border-radius: 20px;
  box-shadow: 0 10px 25px rgba(0,0,0,0.08);
}

.footer-map h3 {
  color: #000000;
  font-size: 1.2rem;
  margin-bottom: 12px;
  text-align: center;
}

.footer-map iframe {
  width: 100%;
  height: 300px;
  border: none;
  border-radius: 12px;
}

.fa-instagram{
  color: #000000;
}

.fa-linkedin{
  color: #000000;
}

.fa-facebook{
  color: #000000;
}

.footer-right{
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer-right img{
  width: 320px;
  max-width: 100%;
}

.footer-bottom{
  margin-top: 50px;
  padding-top: 25px;
  border-top: 1px solid rgba(255,255,255,0.15);
  text-align: center;
}

.footer-bottom p{
  color: #000000;
  font-size: 0.9rem;
}

/* MOBILE */
@media (max-width:768px){

  .footer{
    padding: 35px 7% 25px;
  }

  .footer-top{
    flex-direction: column;
    gap: 25px;
    margin-bottom: 50px;
  }

  .footer-nav{
    flex-wrap: wrap;
    justify-content: center;
    gap: 18px;
  }

  .footer-main{
    grid-template-columns: 1fr;
    gap: 35px;
  }

  .footer-left h2{
    font-size: 3.5rem;
    margin-bottom: 35px;
  }

  .footer-middle{
    padding-top: 0;
  }

  .footer-right img{
    width: 220px;
  }
}

/* RESPONSIVE */

@media (max-width: 1200px) {
  header {
    padding: 0 5%;
  }

  .nav-menu {
    gap: 1rem;
  }

  .nav-menu a {
    font-size: 15px;
  }
}

@media (max-width: 768px) {
  .nav-toggle {
    display: block;
    z-index: 1001;
  }

   .nav-bar .book-btn {
    background-color: #bb595f;
    color: #000000 !important;
    margin-bottom: 15px;
  }

  .nav-bar {
    position: absolute;
    top: 100px;
    left: 0;
    right: 0;
    width: 100%;
    background-color: beige;
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.4s ease;
    border-radius: 0;
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.15);
  }

  .nav-bar.active {
    max-height: 420px;
  }

  .nav-menu {
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 1.2rem;
    padding-top: 12px;
   
  }

   .nav-menu a::after {
    background: #bb595f;
  }

  .nav-menu a:hover {
    color: #bb595f;
  }

  .nav-menu a {
    color: #000000;
    font-size: 18px;
  }

  .book-btn {
    display: inline-block;
    padding: 12px 28px;
  }

}

@media (max-width: 480px) {
  header {
    height: 90px;
    padding: 0 5%;
  }

  .logo img {
    height: 170px;
  }

  .nav-bar {
    top: 90px;
  }
}